# A machine that exists to install other NixOS machines from some config
{
  lib,
  pkgs,
  ...
}: {
  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = ["size=10G" "mode=755"];
  };
  # Different than usual names in order to automount other VMs
  fileSystems."/persist" = {
    device = "/dev/disk/by-label/nixosNodens";
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-label/bootNodens";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/nixosNodens";
    fsType = "btrfs";
    options = ["subvol=nix"];
  };

  #Machine to be installed
  fileSystems."/mnt/persist" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = [
      "subvol=persist"
      "users" # Allows any user to mount and unmount
      "nofail" # Prevent system from failing if this drive doesn't mount
    ];
  };
  fileSystems."/mnt/boot" = {
    device = "/dev/disk/by-label/boot";
    fsType = "ext4";
    options = [
      "users" # Allows any user to mount and unmount
      "nofail" # Prevent system from failing if this drive doesn't mount
    ];
  };
  fileSystems."/mnt/nix" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = [
      "subvol=nix"
      "users" # Allows any user to mount and unmount
      "nofail" # Prevent system from failing if this drive doesn't mount
    ];
  };

  swapDevices = [{device = "/dev/disk/by-uuid/89e13a83-506a-43b4-b06a-09424500ceda";}];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
